<?php

use idoit\Module\JDisc\Controller\LogController;
use Symfony\Component\Routing\Loader\Configurator\RoutingConfigurator;

return function (RoutingConfigurator $routes) {
    $routes->add('jdisc.log', '/jdisc/show-log/{filename}')
        ->methods(['GET'])
        ->requirements(['filename' => '^jdisc-import_\d{4}-\d{2}-\d{2}\.log$'])
        ->controller([LogController::class, 'getLogByFilename']);
};
